Namespaces | Functions
libetonyek_xml.h File Reference
`#include <string>`
`#include <boost/optional.hpp>`
`#include "libetonyek_utils.h"`

Go to the source code of this file.

## Namespaces
| libetonyek

## Functions
int | readFromStream (void *context, char *buffer, int len)
int | closeStream (void *)
bool | libetonyek::bool_cast (const char *value)
| Convert string value to bool. More...
boost::optional< bool > | libetonyek::try_bool_cast (const char *value)
double | libetonyek::double_cast (const char *value)
boost::optional< double > | libetonyek::try_double_cast (const char *value)
int | libetonyek::int_cast (const char *value)
boost::optional< int > | libetonyek::try_int_cast (const char *value)
const char * | libetonyek::char_cast (const char *const c)
const char * | libetonyek::char_cast (const signed char *const c)
const char * | libetonyek::char_cast (const unsigned char *const c)

## Function Documentation

## ◆ closeStream()

int closeStream | ( | void * |  | ) |

Referenced by libetonyek::IWORKParser::parse().

## ◆ readFromStream()

int readFromStream | ( | void * | context,
|  | char * | buffer,
|  | int | len
| ) |  |

Referenced by libetonyek::IWORKParser::parse().